-----------------
-- Arcanroo V0.3
--
-- By Roobird
-- EU-Netherstorm
-----------------

local _
Arcanroo_loaded = false




function Arcanroo_Resize(command)	


	if command == '+' then
		if Arcanroo_saved.size <= 2 then
			Arcanroo_saved.size = Arcanroo_saved.size + 0.5
			print("|cFF69CCF0 Arcanroo|r :: Upsized!");
		end
	end	
	if command == '-' then
		if Arcanroo_saved.size > 0.5 then
			Arcanroo_saved.size = Arcanroo_saved.size - 0.5
			print("|cFF69CCF0 Arcanroo|r :: Downsized!");
		end	
 	end


end



local function Arcanroo_handler(msg, editbox)
 
	defaultslash = true ;	-- For Default Help
	 
 	if msg == '+' or msg == '-' then
		Arcanroo_Resize(msg);
		defaultslash = false;
 	end
 	
 	if msg == 'reset' or msg == 'r' then
 		
 		Arcanroo_saved.size = 1;
 		Arcanroo_Init();
		print("|cFF69CCF0 Arcanroo|r :: Resetted!");
		defaultslash = false;
	end  
	 	 	 	
 	if msg == 'lock' or msg == 'l' then
 		Arcanroo_saved.locked = true;
 		Arcanroo_Init(); 
		defaultslash = false; 
		print("|cFF69CCF0 Arcanroo|r :: Locked!");		
 	end
 	
 	if msg == 'unlock' or msg == 'ul' then
 		Arcanroo_saved.locked = false;
 		Arcanroo_Init(); 
		defaultslash = false; 	
		print("|cFF69CCF0 Arcanroo|r :: Unlocked!");	
 	end
 	
	if msg == 'hide' or msg == 'h' then
	  	Arcanroo_saved.show = false;
        Arcanroo_Init();   
	  	defaultslash = false;
	  	print("|cFF69CCF0 Arcanroo|r :: hide!");	
	end
	
	if msg == 'show' or msg == 's' then
	  	Arcanroo_saved.show = true;
	  	Arcanroo_Init();
	  	defaultslash = false;
		print("|cFF69CCF0 Arcanroo|r :: show!");	
 	end	

	if msg == 'help' or defaultslash then
		print('|cFF69CCF0 Arcanroo |r :: Help');
		print('-------------------------------');
		print('|cFF69CCF0 /aroo show |r (or s) to show the manaframe');
		print('|cFF69CCF0 /aroo hide |r (or h) to show the manaframe');
		print('|cFF69CCF0 /aroo lock|r (or l) to lock');
		print('|cFF69CCF0 /aroo unlock|r (or ul) to unlock');
		print('|cFF69CCF0 /aroo help|r to see this ;) ');
	end
		 
 	Arcanroo_Init(); 		

end

function Arcanroo_Options()

	local arcanroo_temp

	
	Arcanroo_OptionsFrame = CreateFrame("Frame", "Arcanroo_OptionsFrame", UIParent)
	Arcanroo_OptionsFrame:Hide()
	Arcanroo_OptionsFrame:SetWidth(300)
	Arcanroo_OptionsFrame:SetHeight(410)
	Arcanroo_OptionsFrame:SetFrameStrata("DIALOG")

	
	temp = Arcanroo_OptionsFrame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	temp:SetPoint("TOPLEFT", 16, -16)
	temp:SetText("Arcanroo Options")



	-- Add to Blizzard Interface Options
	Arcanroo_OptionsFrame.name = "Arcanroo"
	InterfaceOptions_AddCategory(Arcanroo_OptionsFrame)

end


function Arcanroo_Load()

--	Arcanroo_Options();
  
  	print ("|cFF69CCF0 Arcanroo |rV0.3|cFFFF0000 loaded.");
  	print ("|r|rUse|cFF69CCF0 /aroo|r for help!");
    

	-- Arcanroo_Mana:SetFont("Interface\\AddOns\\Arcanroo\\font\\comic.ttf", 72, "OUTLINE")
	
	Arcanroo_Mana:SetTextHeight(36);	
    Arcanroo_Dottimer:SetTextHeight(36);
    Arcanroo_Debuffstack:SetTextHeight(36);
    Arcanroo_Debuff:Hide();
    Arcanroo_FullStack:Hide();
    
    
    if Arcanroo_saved == nil then
		  	
	  	Arcanroo_saved = {
	  	
  		show = true;
  		size = 1;
  		locked = false;
 		  	
 	  	}
 		  	
	    -- print ("|cFF69CCF0 Arcanroo |r:: First time loaded!");

		
  	end   
    
    
    Arcanroo_loaded = true;
          	
end


function Arcanroo_Init()

 
  		if Arcanroo_saved.show == false then
      		ArcanrooForm:Hide();
  		else
  			ArcanrooForm:Show();
  		end
 
  		
  		if Arcanroo_saved.locked then
  			ArcanrooForm:EnableMouse(false);
  		else
  			ArcanrooForm:EnableMouse(true);
  		end
  		
  		
  		-- Resizing --
  		ArcanrooForm:SetWidth(100 * Arcanroo_saved.size)
		ArcanrooForm:SetHeight(80 * Arcanroo_saved.size)
		
		Arcanroo_Debuff:SetWidth(40 * Arcanroo_saved.size)
		Arcanroo_Debuff:SetHeight(40 * Arcanroo_saved.size)
		
		Arcanroo_Dot:SetWidth(40 * Arcanroo_saved.size)
		Arcanroo_Dot:SetHeight(40 * Arcanroo_saved.size)
		
		Arcanroo_FullStack:SetWidth(140 * Arcanroo_saved.size)
		Arcanroo_FullStack:SetHeight(160 * Arcanroo_saved.size)
		
		
		Arcanroo_Mana:SetTextHeight(36 * Arcanroo_saved.size)
   		Arcanroo_Dottimer:SetTextHeight(30 * Arcanroo_saved.size);
    	Arcanroo_Debuffstack:SetTextHeight(30 * Arcanroo_saved.size);
   		 		

end



function Arcanroo_Run()


	if Arcanroo_loaded == true and Arcanroo_saved.show == true then


		Arcanroo_Init();


		-- Mana Tracker --
		
		arcanroo_mana = UnitPower("player", 0);
		arcanroo_manamax = UnitPowerMax("player", 0);
		arcanroo_manacur = (arcanroo_mana/arcanroo_manamax)* 100 ;
		arcanroo_manacur = floor(arcanroo_manacur);
		  
  		if  arcanroo_manacur> 89 then	
    
    		Arcanroo_Mana:SetTextColor(0, 1, 0, 1);
    		Arcanroo_Mana:SetText(arcanroo_manacur.." %");
  		end
      
  		if arcanroo_manacur < 35 then 
  
    		Arcanroo_Mana:SetTextColor(1, 0, 0, 1);
    		Arcanroo_Mana:SetText(arcanroo_manacur.." %");
  		end
  
 	 	if arcanroo_manacur < 90 and arcanroo_manacur > 34 then
      
    		Arcanroo_Mana:SetTextColor(1, 1, 1, 1);
    		Arcanroo_Mana:SetText(arcanroo_manacur.." %");
  		end
  		
  	  	
  	  	-- NetherTempestDot Tracker --
  	  	
  		Arcanroo_debuff,_,_,_,_,_,Arcanroo_expTime = UnitAura("target", "Nether Tempest" , nil , "PLAYER|HARMFUL")
  		
  		
  		if Arcanroo_debuff == nil then  		  		
	  		Arcanroo_debuff,_,_,_,_,_,Arcanroo_expTime = UnitAura("target", "Netherorkan" , nil , "PLAYER|HARMFUL")
  		end
  		  		
  		if Arcanroo_debuff == nil then
  			Arcanroo_Dottimer:SetText(" ");
  			Arcanroo_Dot:SetAlpha(1);
  			Arcanroo_Dot:Show();
  		else
  			Arcanroo_DotTime = Arcanroo_expTime - GetTime()  -- Debuff time
  			Arcanroo_Dot:Hide();
  			if Arcanroo_DotTime <= 5 then
  				Arcanroo_Dot:Show();
  				Arcanroo_Dot:SetAlpha(1.5/Arcanroo_DotTime);
  				Arcanroo_Dottimer:SetText(floor(Arcanroo_DotTime));
  			end	
  		end
 
 		-- ArcanCharges Tracker--
 		
  		Arcanroo_buff,_,_,Arcanroo_Stacks = UnitAura("player", "Arcane Charge", nil, "PLAYER|HARMFUL")
		
		if Arcanroo_buff == nil then
			Arcanroo_buff,_,_,Arcanroo_Stacks = UnitAura("player", "Arkane Aufladung", nil, "PLAYER|HARMFUL")
		end
		
		
		if Arcanroo_buff == nil then
			Arcanroo_Debuffstack:SetText( " " );
			Arcanroo_Debuff:Hide();
			Arcanroo_FullStack:Hide();
			Arcanroo_sound_played = false;
		else
			Arcanroo_Debuff:Show();
			Arcanroo_Debuffstack:SetText(Arcanroo_Stacks);
			if Arcanroo_Stacks == 6 then
				Arcanroo_FullStack:Show();
				
				if Arcanroo_sound_played == false then
					PlaySoundFile("Sound\\Event\\Event_THIntro_FirstShipExplo.ogg", "Master")
					Arcanroo_sound_played = true
				end
				
				if fx_do == nil then
				 	fx_do = true
				 	fx_i = 20
				end
				if fx_do then
					if fx_i < 1 then
						fx_do = false
					else
						fx_i = fx_i - 1
					end
				else
					if fx_i > 18 then
						fx_do = true
					else
						fx_i = fx_i + 1
					end
				end
				Arcanroo_FullStack:SetAlpha(fx_i/20)
			end
		end
		
		
	end

end

SLASH_ARCANROO1, SLASH_ARCANROO2 = '/arcanroo', '/aroo';
SlashCmdList["ARCANROO"] = Arcanroo_handler;
